Check a brcode hash
curl --request POST \
--url https://api.sandbox.trio.com.br/banking/cashout/pix/brcodes/check \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"entity_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"hash": "123"
}
'import requests
url = "https://api.sandbox.trio.com.br/banking/cashout/pix/brcodes/check"
payload = {
"entity_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"hash": "123"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({entity_id: '41234d60-f6a9-4c9c-8cc3-5769ce9bbea2', hash: '123'})
};
fetch('https://api.sandbox.trio.com.br/banking/cashout/pix/brcodes/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"allow_amount_change": false,
"counterparty": {
"bank_account": {
"branch": "0001",
"digit": "1",
"id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"ispb": "12345678",
"number": "123456",
"type": "checking"
},
"id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"name": "John Doe",
"tax_number": "05964110000197"
},
"expiration_datetime": "2020-01-10T10:00:00",
"hash": "2941H29481H827GGY2G873GR1H893RG1793GFYI71G7",
"id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"inserted_at": "2020-01-10T10:00:00",
"key": "32165998093",
"key_type": "tax_number",
"updated_at": "2024-01-10T10:00:00"
}
}{
"error": {
"error_code": "UNAUTHORIZED",
"error_message": "Invalid credentials"
}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"error": {
"error_code": "INTEGRATION_ERROR",
"error_message": "An unexpected issue occurred"
}
}QR Code (Pix)
Check Pix BR Code
Validate a Pix BR Code before creating a payment
POST
/
banking
/
cashout
/
pix
/
brcodes
/
check
Check a brcode hash
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
Check brcode payload
Response
Check
Response schema for a single check brcode
Response schema for a single check key
Show child attributes
Show child attributes
Example:
{
"data": {
"counterparty": {
"bank_account": {
"branch": "0001",
"digit": "1",
"id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"ispb": "12345678",
"number": "123456",
"type": "checking"
},
"id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"name": "John Doe",
"tax_number": "05964110000197"
},
"hash": "2941H29481H827GGY2G873GR1H893RG1793GFYI71G7",
"id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"inserted_at": "2020-01-10T10:00:00",
"key": "05964110000197",
"key_type": "tax_number",
"updated_at": "2024-01-10T10:00:00"
}
}
⌘I

